Bug 23852 - Merge biblio-title.inc and biblio-default-view.inc
Summary: Merge biblio-title.inc and biblio-default-view.inc
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23841
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-21 13:09 UTC by Owen Leonard
Modified: 2020-11-09 20:35 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 23852: Merge biblio-title.inc and biblio-default-view.inc (43.61 KB, patch)
2019-10-21 15:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23852: Merge biblio-title.inc and biblio-default-view.inc (42.65 KB, patch)
2020-02-12 17:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23852: Merge biblio-title.inc and biblio-default-view.inc (42.91 KB, patch)
2020-07-14 20:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23852: Merge biblio-title.inc and biblio-default-view.inc (42.99 KB, patch)
2020-09-06 22:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23852: Merge biblio-title.inc and biblio-default-view.inc (43.09 KB, patch)
2020-09-07 12:46 UTC, David Nind
Details | Diff | Splinter Review
Bug 23852: (QA follow-up) Correct scope of breadcrumb title style (991 bytes, patch)
2020-09-14 13:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23852: Merge biblio-title.inc and biblio-default-view.inc (43.14 KB, patch)
2020-09-15 20:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23852: (QA follow-up) Correct scope of breadcrumb title style (1.02 KB, patch)
2020-09-15 20:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23852: (QA follow-up) Correct scope of breadcrumb title style (1.02 KB, patch)
2020-10-02 11:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23852: Merge biblio-title.inc and biblio-default-view.inc (43.18 KB, patch)
2020-10-02 11:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23852: (QA follow-up) Correct scope of breadcrumb title style (1.02 KB, patch)
2020-10-02 11:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23852: (QA follow-up) Fix remaining call to biblio-default-view (1.17 KB, patch)
2020-10-09 10:43 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-10-21 13:09:54 UTC
The functionality in biblio-default-view.inc should be moved into biblio-title.inc. A "link" parameter will be set when the include file should show a linked title.
Comment 1 Owen Leonard 2019-10-21 15:34:41 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-02-12 17:24:47 UTC Comment hidden (obsolete)
Comment 3 David Nind 2020-04-22 02:30:14 UTC
Hi Owen.

Just checking on this one before I sign it off.

There are several areas where, while they reflect current behaviour, are inconsistent.

I'm assuming this bug is 'like for like' and that any corrections to address inconsistencies should be a separate bug.

Examples include:

- Home › Circulation › Checkouts <-- Checkouts is in bold, should possibly be Check out (to match with other buttons and labels)

- Home › Circulation › Checkouts › [Patron name (ID)] <-- should possibly be Check out rather than Checkouts (after putting in a patron)

- For several items the last part of the breadcrumb is linked:
  . Home › Circulation › Article requests 
  . Home › Circulation › Holds queue
  . Home › Circulation › Holds awaiting pickup
  . Home › Circulation › Set library
  . Home › Tools › Batch record deletion

- Other things noticed:
  . Home › Circulation › Transfers <-- Button on the circulation page is Transfer, although it does have a group heading Transfers
  . Home › Circulation › Overdues at [Library name] <-- For Overdues with fines, should this display as Overdues with fines at [Library name] instead?

Notes for myself from testing - enable these system preferences:
- StockRotation (enable)
- ArticleRequests (enable)
- BatchCheckouts (allow) + BatchCheckoutsValidCategories (add patron categories)
Comment 4 Owen Leonard 2020-07-14 20:26:00 UTC Comment hidden (obsolete)
Comment 5 David Nind 2020-09-06 02:02:01 UTC
Patch no longer applies 8-(
Comment 6 Owen Leonard 2020-09-06 22:23:19 UTC Comment hidden (obsolete)
Comment 7 David Nind 2020-09-07 12:46:56 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2020-09-12 20:41:23 UTC
Hm, with the patch applied the title of a record in the result list suddenly appears italic, is this intentional?
Comment 9 Owen Leonard 2020-09-14 13:11:10 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2020-09-15 20:44:04 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2020-09-15 20:44:12 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2020-10-01 12:50:40 UTC
Does no longer apply, please rebase.
Comment 13 Owen Leonard 2020-10-02 11:44:42 UTC Comment hidden (obsolete)
Comment 14 Owen Leonard 2020-10-02 11:48:01 UTC
Created attachment 111135 [details] [review]
Bug 23852: Merge biblio-title.inc and biblio-default-view.inc

This patch moves the functionality contained in biblio-default-view.inc
into biblio-title.inc. biblio-title.inc can now be called with a "link =
1" parameter in order for the title to be displayed as a link which is
controlled by the IntranetBiblioDefaultView preference.

To test, apply the patch and test the affected pages, especially titles
linked to in breadcrumbs menus

Acquisitions:
 - Add to basket -> From existing record -> Search
   - Title in search results

Catalog:
 - Search for a record
   - Add record to cart
     - Open cart
       - Title in brief display
         - Check that link opens the correct page in the main window
   - View bibliographic record
     - ISBD view
     - MARC view
     - Normal view
      - Local cover image detail page
      - Checkout history
      - Request article
     - Item details
     - From the "Edit" menu -> Attach item
     - Stock rotation rota
     - Place hold

Cataloging:
 - Cataloging search -> Search results

Circulation:
 - Article requests
 - Overdues with fines
 - Overdues
 - Holds queue
 - Holds to pull
 - Hold ratios
 - Holds awaiting pickup
 - Transfers to recevie
 - Renew
 - Batch checkout

Lists:
 - View list contents

Patrons:
 - View patron details
   - Holds history
   - Checkout history

Tools:
 - Rotating collections
   - View collection
     - Add item
 - Tags
   - Click term to see titles tagged with that term

 - Batch record deletion
   - Submit batch

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Owen Leonard 2020-10-02 11:48:07 UTC
Created attachment 111136 [details] [review]
Bug 23852: (QA follow-up) Correct scope of breadcrumb title style

This patch corrects the scope of the ".title" style intended for titles
displayed in the breadcrumbs bar.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Jonathan Druart 2020-10-08 14:20:46 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 17 Nick Clemens 2020-10-09 10:43:09 UTC
Created attachment 111393 [details] [review]
Bug 23852: (QA follow-up) Fix remaining call to biblio-default-view
Comment 18 Jonathan Druart 2020-11-06 14:50:54 UTC
(In reply to Nick Clemens from comment #17)
> Created attachment 111393 [details] [review] [review]
> Bug 23852: (QA follow-up) Fix remaining call to biblio-default-view

This patch has ben pushed to master on Oct 9.
Comment 19 Lucas Gass 2020-11-09 20:35:55 UTC
enhancement will not be backported to 20.05.x